import config from '../config.mjs'

export default class TestRoutes {
  constructor(opts = {}) {
    Object.assign(this, { })
  }

  register(server) {
    server.flaska.get('/', this.static.bind(this))
    server.flaska.get('/health', this.health.bind(this))
    server.flaska.get('/error', this.error.bind(this))
  }

  health(ctx) {
    ctx.body = {
      name: config.get('name'),
      version: config.get('version'),
      environment: config.get('NODE_ENV'),
    }
  }

  static(ctx) {
    ctx.body = {
      name: config.get('name'),
      version: config.get('version'),
      environment: config.get('NODE_ENV'),
    }
  }

  error(ctx) {
    throw new Error('This is a test')
  }
}
